package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicMonitoringType {
    public static final String STATIC = "运行状态监控";
    public static final String FLUX= "运行流量监控";
    private static DicMonitoringType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicMonitoringType(){
        dicMap = new LinkedHashMap<String, String>();

        dicMap.put(STATIC, STATIC);
        dicMap.put(FLUX, FLUX);
    }

    public static DicMonitoringType getInstacne(){
        if (instance == null)
        {
            instance = new DicMonitoringType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
